DependantValue (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class DependantValue

    java.lang.Object
      org.hibernate.mapping.SimpleValue
          org.hibernate.mapping.DependantValue

All Implemented Interfaces:
  Serializable, KeyValue, Value

    public class DependantValue

extends SimpleValue

A value which is "typed" by reference to some other value (for example, a foreign key is typed by the referenced primary key).

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.mapping.SimpleValue
`DEFAULT_ID_GEN_STRATEGY`

Constructor Summary
`DependantValue(Mappings mappings, Table table, KeyValue prototype)`

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`Type` | `getType()`
`boolean` | `isNullable()`
`boolean` | `isUpdateable()`
`void` | `setNullable(boolean nullable)`
`void` | `setTypeUsingReflection(String className, String propertyName)`
`void` | `setUpdateable(boolean updateable)`

Methods inherited from class org.hibernate.mapping.SimpleValue
`addColumn, addFormula, createForeignKey, createForeignKeyOfEntity, createIdentifierGenerator, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getConstraintColumns, getFetchMode, getForeignKeyName, getIdentifierGeneratorProperties, getIdentifierGeneratorStrategy, getMappings, getNullValue, getTable, getTypeName, getTypeParameters, hasFormula, isAlternateUniqueKey, isCascadeDeleteEnabled, isIdentityColumn, isSimpleValue, isTypeSpecified, isValid, setAlternateUniqueKey, setCascadeDeleteEnabled, setForeignKeyName, setIdentifierGeneratorProperties, setIdentifierGeneratorStrategy, setNullValue, setTable, setTypeName, setTypeParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DependantValue

    public DependantValue(Mappings mappings,
                          Table table,
                          KeyValue prototype)

Method Detail

### getType

    public Type getType()
                 throws MappingException

  Specified by:
    `getType` in interface `Value`
  Overrides:
    `getType` in class `SimpleValue`
  Throws:
    `MappingException`

### setTypeUsingReflection

    public void setTypeUsingReflection(String className,
                                       String propertyName)

  Specified by:
    `setTypeUsingReflection` in interface `Value`
  Overrides:
    `setTypeUsingReflection` in class `SimpleValue`

### accept

    public Object accept(ValueVisitor visitor)

  Specified by:
    `accept` in interface `Value`
  Overrides:
    `accept` in class `SimpleValue`

### isNullable

    public boolean isNullable()

  Specified by:
    `isNullable` in interface `Value`
  Overrides:
    `isNullable` in class `SimpleValue`

### setNullable

    public void setNullable(boolean nullable)

### isUpdateable

    public boolean isUpdateable()

  Specified by:
    `isUpdateable` in interface `KeyValue`
  Overrides:
    `isUpdateable` in class `SimpleValue`

### setUpdateable

    public void setUpdateable(boolean updateable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.